Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.query
Class DrillExpandPositionExt

    java.lang.Object
      com.tonbeller.jpivot.core.ExtensionSupport
          com.tonbeller.jpivot.olap.query.DrillExpandPositionExt

All Implemented Interfaces:
  Extension, DrillExpandPosition

    public class DrillExpandPositionExt

extends ExtensionSupport
implements DrillExpandPosition

Author:
  hh

Field Summary

Fields inherited from interface com.tonbeller.jpivot.olap.navi.DrillExpandPosition
`ID`

Constructor Summary
`DrillExpandPositionExt()` Constructor sets ID

Method Summary
`boolean` | `canCollapse(Position position, Member member)` true if the Position is currently expanded by specific member.
`boolean` | `canExpand(Position position, Member member)` true if member has children and Position is not currently expanded
`void` | `collapse(Position position, Member member)` collapses Position by specific member.
`void` | `expand(Position position, Member member)` expands Position by specific member

Methods inherited from class com.tonbeller.jpivot.core.ExtensionSupport
`decorate, getId, getModel, modelInitialized, setId, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.core.Extension
`decorate, getId, modelInitialized, setModel`

Constructor Detail

### DrillExpandPositionExt

    public DrillExpandPositionExt()

  Constructor sets ID

Method Detail

### canExpand

    public boolean canExpand(Position position,
                             Member member)

  Description copied from interface: `DrillExpandPosition`
  true if member has children and Position is not currently expanded

  Specified by:
    `canExpand` in interface `DrillExpandPosition`
  Parameters:
    `position` - position to be expanded
    `member` - member to be expanded
  Returns:
    true if the member can be expanded
  See Also:
    `com.tonbeller.jpivot.olap.navi.DrillExpand#canExpand(Member)`

### canCollapse

    public boolean canCollapse(Position position,
                               Member member)

  Description copied from interface: `DrillExpandPosition`
  true if the Position is currently expanded by specific member.

  Specified by:
    `canCollapse` in interface `DrillExpandPosition`
  Parameters:
    `position` - position to be expanded
  Returns:
    true if the member can be expanded
  See Also:
    `com.tonbeller.jpivot.olap.navi.DrillExpand#canCollapse(Member)`

### expand

    public void expand(Position position,
                       Member member)

  Description copied from interface: `DrillExpandPosition`
  expands Position by specific member

  Specified by:
    `expand` in interface `DrillExpandPosition`
  Parameters:
    `position` - position to be expanded
    `member` - member to be expanded
  See Also:
    `com.tonbeller.jpivot.olap.navi.DrillExpand#expand(Member)`

### collapse

    public void collapse(Position position,
                         Member member)

  Description copied from interface: `DrillExpandPosition`
  collapses Position by specific member.

  Specified by:
    `collapse` in interface `DrillExpandPosition`
  Parameters:
    `position` - position to be collapsed
    `position` - member to be collapsed
  See Also:
    `com.tonbeller.jpivot.olap.navi.DrillExpand#expand(Member)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD